Survey V2

Service endpoints to access MSD surveys.

Get surveys by wellbore id

Request

Get surveys by wellbore id

Security
bearer and appkey
Path
wellboreIdstringrequired

The wellbore id

Headers
slb-data-partition-idstringrequired

The data partition id.

curl -i -X GET \
  'https://eu-api.delfi.slb.com/drillplan/msd/v2/surveys/by-wellbore/{wellboreId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'appkey: YOUR_API_KEY_HERE' \
  -H 'slb-data-partition-id: string'

Responses

Success

Bodyapplication/json
Array [
idstring
namestring
wellbore_idstring
survey_typestring
Enum:"DefinitiveSurvey""NonDefinitiveSurvey""WorkingSurvey""DefinitivePlan""NonDefinitivePlan"
depth_referencenumber
stationsArray of objects(StationDto)
survey_datestring, (date-time,)
external_tagstring
geomag_settingsobject(GeomagSettingsDto)
tie_inobject(TieInDto)
hole_sectionArray of objects
]
Response
[ { "id": "string", "name": "string", "wellbore_id": "string", "survey_type": "DefinitiveSurvey", "depth_reference": 0, "stations": [], "survey_date": "string", "external_tag": "string", "geomag_settings": {}, "tie_in": {}, "hole_section": [] } ]